Page MenuHomePhabricator

Diacritical letters (Çç, Êê, Îî, Şş, Ûû) on Kurdish pages do not become part of the internal link
Closed, ResolvedPublic

Description

Hello,

The Kurdish alphabet uses 5 diacritical letters (Çç, Êê, Îî, Şş, Ûû) (see T48235). When a part of a word is enclosed in square brackets ([[]]) : words with diacritical letters remain outside the internal link ("not become blue").

See for example on ku.wikipedia:

Can we solve this problem for all Kurdish projects: ku.wikipedia, ku.wiktionary, ku.wikiquot, ku.wikibooks and for all future projects "ku" using the Kurdish alphabet?

Thanks!

Details

Related Gerrit Patches:

Event Timeline

Ghybu created this task.Dec 14 2016, 7:34 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 14 2016, 7:34 PM
Ghybu updated the task description. (Show Details)Dec 14 2016, 7:52 PM
Aklapper renamed this task from Kurdish projects: Internal links to Diacritical letters (Çç, Êê, Îî, Şş, Ûû) on Kurdish pages do not become part of the internal link.Dec 14 2016, 8:21 PM
Aklapper triaged this task as Low priority.Dec 14 2016, 8:24 PM

See T64998#659226 - you need to define $linkTrail in MediaWiki core's MessagesKu.php file.
If you feel like fixing this yourself: You are very welcome to use developer access to submit a proposed code change (patch) as a Git branch directly into Gerrit which makes it easier to review them quickly and provide feedback.

Ghybu added a comment.Dec 15 2016, 1:50 AM

@Aklapper: Done.

I also added two more letters used in the Kurdish language: "Ḧḧ" and "Ẍẍ"

PS: For Kurdish language the right file is MessagesKu_latn.php

Ghybu added a comment.EditedDec 15 2016, 11:36 AM

Can we make the code more complex?

Inside a Kurdish word, when the letters "î" and "y" are written side by side (i.e "îy"): the "î" loses its circumflex accent becomes "iy" (i.e îy --> iy).

For example, for "Amedî" when you want to add the suffix "-ye" to the word, we don't write "Amedîye" but "Amediye".

Can we make do that, for example "[[Amedî]]ye" appear "Amediye" (i.e "[[Amedî]]ye" -->"Amediye", without the circumflex accent in the internal link).

If before the closing square bracket there is the "î" letter and after the "y" letter (i.e [[..î]]y...): do that the internal link appear without the circumflex accent (i.e [[...î]]y... ---> ...iy...)

Change 327412 had a related patch set uploaded (by MarcoAurelio):
Set $linktrail for MessagesKu_latn.php

https://gerrit.wikimedia.org/r/327412

Can we make do that, for example "[[Amedî]]ye" appear "Amediye" (i.e "[[Amedî]]ye" -->"Amediye", without the circumflex accent in the internal link).

Not possible with a link trail.

Change 327412 merged by jenkins-bot:
Set $linktrail for MessagesKu_latn.php

https://gerrit.wikimedia.org/r/327412

matmarex closed this task as Resolved.Apr 14 2017, 12:58 PM
matmarex added a subscriber: matmarex.

(Fixed a while ago.)